# LibreCloud library

<img style="margin-top: 1em;width: 500px;border: 0" alt="Fork me on GitHub" src="logo/library.svg?sanitize=true">

## Structure

<pre>
.
├── bin
├── clds
├── defs
├── filters
├── graphql
├── handlers
├── key_of_life
├── zterton
├── macros
├── tkdr
├── utils
└── zterton
</pre>


## How to install

> Clonning or downlowding this repository will not include code, each item has his own individual repository

Keep all libraries in one place and run use [on_lib.sh script](/LibreCloud/Lib/src/branch/master/on_libs.sh), review script and comment unnecesary items or any other change.

For **create** via <u>git clone</u> command, use:

```bash
export REPO_URL=https://rlung.librecloud.online
# create a directory or go to directory where libs are going to be created (cloned) 
mkdir lib  
[path-to-libs.sh]/on_libs.sh clone 
```

For **update or sync** via <u>git pull</u> command, use:

```bash
export REPO_URL=https://rlung.librecloud.online
# Go to directory where libs exists
cd lib  
[path-to-libs.sh]/on_libs.sh pull
```

## bin

Tools and utils: Scripts and tools to maintain this library

[Bin library](/LibreCloud/lib_bin)

## clds

Clouds definitions
[CLDS Library](/LibreCloud/lib_clds)

## defs

Definitions Library collection of basic applications needs

[Defs Library](/LibreCloud/lib_defs)

## filters

Rust Libraries Collections for webservices [warp](https://github.com/seanmonstar/warp) filters and routes configuration

[Webservices (wrap) Filters Library](/LibreCloud/lib_filters)

## graphql

Library for GraphQL

[GraphQL Library](/LibreCloud/lib_graphql)

## handlers

Handlers for filters with [warp](https://github.com/seanmonstar/warp)

[Webservices (wrap) Handlers Library](/LibreCloud/lib_handlers)

## kye_of_life

Getting master key

[Key of Life Library](/LibreCloud/lib_key_of_life)

## macros

Rust Macros Libraries for applications

[Macros Library](/LibreCloud/lib_macros)

## utils

Utilities and tools library

[Utils Library](/LibreCloud/lib_utils)

## tkdr

Encrypt/Decrypt and templating

[Tkdr Library](/LibreCloud/lib_tkdr)

## ZTerton

To init and load application

[Zterton library](/LibreCloud/lib_zterton)
